Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate
Class HibernateResourceDeleteListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.HibernateResourceDeleteListener

All Implemented Interfaces:
  HibernateDeleteListener, RepositoryEventListenerRegistry

    public class HibernateResourceDeleteListener

extends java.lang.Object
implements HibernateDeleteListener, RepositoryEventListenerRegistry

Version:
  $Id: HibernateResourceDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`HibernateResourceDeleteListener()`

Method Summary
`void` | `deregisterListener(RepositoryEventListener listener)`
`protected void` | `ensureListeners()`
`protected void` | `fireListener(RepositoryEventListener listener, java.lang.Class resourceItf, java.lang.String resourceURI)`
`protected void` | `fireListener(RepositoryEventListener listener, java.lang.String folderURI)`
`protected void` | `fireListeners(RepoFolder folder)`
`protected void` | `fireListeners(RepoResource resource)`
`java.util.List` | `getListeners()`
`ResourceFactory` | `getPersistentClassMappings()`
`void` | `onDelete(java.lang.Object o)`
`void` | `registerListener(RepositoryEventListener listener)`
`void` | `setListeners(java.util.List listeners)`
`void` | `setPersistentClassMappings(ResourceFactory persistentClassMappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateResourceDeleteListener

    public HibernateResourceDeleteListener()

Method Detail

### getListeners

    public java.util.List getListeners()

### setListeners

    public void setListeners(java.util.List listeners)

### ensureListeners

    protected void ensureListeners()

### registerListener

    public void registerListener(RepositoryEventListener listener)

  Specified by:
    `registerListener` in interface `RepositoryEventListenerRegistry`

### deregisterListener

    public void deregisterListener(RepositoryEventListener listener)

  Specified by:
    `deregisterListener` in interface `RepositoryEventListenerRegistry`

### getPersistentClassMappings

    public ResourceFactory getPersistentClassMappings()

### setPersistentClassMappings

    public void setPersistentClassMappings(ResourceFactory persistentClassMappings)

### onDelete

    public void onDelete(java.lang.Object o)

  Specified by:
    `onDelete` in interface `HibernateDeleteListener`

### fireListeners

    protected void fireListeners(RepoResource resource)

### fireListener

    protected void fireListener(RepositoryEventListener listener,
                                java.lang.Class resourceItf,
                                java.lang.String resourceURI)

### fireListeners

    protected void fireListeners(RepoFolder folder)

### fireListener

    protected void fireListener(RepositoryEventListener listener,
                                java.lang.String folderURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.